# Maintainer: Tizen PM?
# You need ACK (+1) from the maintainer to be reviewed by building-block maintainers.

########################################################
###  GENERIC				             ###
###  If you want to use the sepcific board	     ###
###  You have to create another hal-backend.inc file ###
########################################################
%package sub1-Preset_boards-GENERIC_HAL_Backend
Summary:	Selection for GENERIC HAL
Requires:	model-config-generic-hal
Requires:	%{name}-sub2-Preset_boards-GENERIC_HAL_Backend-Power
Requires:	%{name}-sub2-Preset_boards-GENERIC_HAL_Backend-System_Device
Requires:	%{name}-sub2-Preset_boards-GENERIC_HAL_Backend-Bluetooth
Requires:	%{name}-sub2-Preset_boards-GENERIC_HAL_Backend-Audio
Requires:	%{name}-sub2-Preset_boards-GENERIC_HAL_Backend-GPS
Requires:	%{name}-sub2-Preset_boards-GENERIC_HAL_Backend-Camera_Common
Requires:	%{name}-sub2-Preset_boards-GENERIC_HAL_Backend-Display
Requires:	%{name}-sub2-Preset_boards-GENERIC_HAL_Backend-Codec
Requires:	%{name}-sub2-Preset_boards-GENERIC_HAL_Backend-FlashManager

%description sub1-Preset_boards-GENERIC_HAL_Backend
Firstly select HAL Backends to add to your image.
%files sub1-Preset_boards-GENERIC_HAL_Backend

### GENERIC-Power ###
%package sub2-Preset_boards-GENERIC_HAL_Backend-Power
Summary:	GENERIC_Power

%description sub2-Preset_boards-GENERIC_HAL_Backend-Power
Packages for PASS HAL and Feature for RPI.
%files sub2-Preset_boards-GENERIC_HAL_Backend-Power

### GENERIC-System_Device ###
%package sub2-Preset_boards-GENERIC_HAL_Backend-System_Device
Summary:	GENERIC_Deviced Plugin for HAL

%description sub2-Preset_boards-GENERIC_HAL_Backend-System_Device
Packages for Deviced HAL and Feature for RPI.
%files sub2-Preset_boards-GENERIC_HAL_Backend-System_Device

### GENERIC-Bluetooth ###
%package sub2-Preset_boards-GENERIC_HAL_Backend-Bluetooth
Summary:	GENERIC_Bluetooth for HAL

%description sub2-Preset_boards-GENERIC_HAL_Backend-Bluetooth
Packages of Bluetooth HAL and Feature for GENERIC.
%files sub2-Preset_boards-GENERIC_HAL_Backend-Bluetooth

### GENERIC-Audio ###
%package sub2-Preset_boards-GENERIC_HAL_Backend-Audio
Summary:	GENERIC_Audio for HAL

%description sub2-Preset_boards-GENERIC_HAL_Backend-Audio
Packages of Audio HAL and Feature for GENERIC.
%files sub2-Preset_boards-GENERIC_HAL_Backend-Audio

### GENERIC-GPS ###
%package sub2-Preset_boards-GENERIC_HAL_Backend-GPS
Summary:	GENERIC_GPS

%description sub2-Preset_boards-GENERIC_HAL_Backend-GPS
Packages of GPS HAL and Feature for GENERIC.
%files sub2-Preset_boards-GENERIC_HAL_Backend-GPS

### GENERIC-Camera_Common ###
%package sub2-Preset_boards-GENERIC_HAL_Backend-Camera_Common
Summary:	GENERIC_Camera(Common) for HAL

%description sub2-Preset_boards-GENERIC_HAL_Backend-Camera_Common
Packages of Camera HAL and Feature for GENERIC(Common).
%files sub2-Preset_boards-GENERIC_HAL_Backend-Camera_Common

### GENERIC-Display ###
%package sub2-Preset_boards-GENERIC_HAL_Backend-Display
Summary:	GENERIC_Display for HAL

%description sub2-Preset_boards-GENERIC_HAL_Backend-Display
Packages of Display HAL and Feature for GENERIC.
%files sub2-Preset_boards-GENERIC_HAL_Backend-Display

### GENERIC-Codec ###
%package sub2-Preset_boards-GENERIC_HAL_Backend-Codec
Summary:	GENERIC_Codec for HAL

%description sub2-Preset_boards-GENERIC_HAL_Backend-Codec
Packages of Codec HAL and Feature for GENERIC.
%files sub2-Preset_boards-GENERIC_HAL_Backend-Codec

### GENERIC-FlashManager ###
%package sub2-Preset_boards-GENERIC_HAL_Backend-FlashManager
Summary:	GENERIC_FlashManager for HAL

%description sub2-Preset_boards-GENERIC_HAL_Backend-FlashManager
Packages of Partition Data of FlashManager for GENERIC.
%files sub2-Preset_boards-GENERIC_HAL_Backend-FlashManager
